Busy Plugin - Defect #1575

Busy Plugin not loaded
06/14/2021 10:15 AM - Javier Arroyo

Status: Rejected Start date: 06/14/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Chrome, Mozillla,...

client):

Description

Busy Plugin does not load on servoy 2021.3.0.3642
It does not work in both SmartClient and Webclient. What can | do to get the plugin to load correctly and work again? | have tried to
do a clean install of Servoy but it still does not load the plugin.

History

#1 - 06/14/2021 10:44 PM - Patrick Talbot
- File Capture_20210614164036.mp4 added

Don't know what's wrong with your installation but | tried in 2021.3.0.3642 and it works perfectly fine (in Smart and Web client, not NG).
See the screen capture video attached, and the .servoy test solution that | used.

#2 - 06/14/2021 10:45 PM - Patrick Talbot
- File Busy.servoy added

#3 - 06/14/2021 10:47 PM - Patrick Talbot

All | did was put the latest busy-v2.jar from the Files section in my /application_server/plugins and it works fine.

#4 - 06/14/2021 10:47 PM - Patrick Talbot

- Status changed from New to Rejected

#5 - 06/15/2021 08:05 AM - Javier Arroyo
- File Captura1.JPG added
- File Captura.JPG added

Attached are the errors that appear when starting my Servoy about the Busy plugin. If you could give me an idea of why | get those errors and how to
solve them | would appreciate it

#6 - 06/15/2021 11:41 AM - Patrick Talbot

From the stack trace, it looks like the problem is in the certificate, which is different from a newer certificate I've used for more recent plugins jars (I
suppose you are using another one of mine, like Velocity perhaps?)

BTW, since the plugin hasn't been updated since 2015(! - and still works ;) the certificate has expired.
| have updated the signature in the new busy-v2.jar I've uploaded in the Files section

Try updating, and if there are other plugins of mine that you use, make sure you update to the latest signed version as well. The signature from the
same packages (in this case net.stuff.servoy.*) should match, but since 2015 | have used at least 2 new certificates.

Or another thing to do is to sign all the jars yourself.

Files

Capture_20210614164036.mp4 18.9 MB 06/14/2021 Patrick Talbot
Busy.servoy 4.42 KB 06/14/2021 Patrick Talbot
Captural.JPG 98.5 KB 06/15/2021 Javier Arroyo
Captura.JPG 212 KB 06/15/2021 Javier Arroyo
https://www.servoyforge.net/projects/busy/files
https://www.servoyforge.net/projects/busy/files
